AdvancedCertificateRequest

Prev Next

The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.

Available in Classic and VPC

Request Advanced DV and Advanced OV certificates.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /certificate/requestPaidCertificateIssuance

Request headers

The following describes the headers.

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
csr String Required Certificate Signing Request (CSR)
certificateType String Required Certificate type
  • NCP_PAID_DV_01 | NCP_PAID_OV_01
    • NCP_PAID_DV_01: Advanced DV certificate
    • NCP_PAID_OV_01: Advanced OV certificate
certificateName String Required Certificate name
commonName String Required Domain to be included in the certificate CN (Common Name)
dnsName Array Optional List of domains to be included in the certificate SAN (Subject Alternative Name)
validationMethod String Required Certificate domain control (DCV) validation method
  • D | E
    • D: DNS CNAME record validation method
    • E: Email-based validation method (domain admin email approval)
organizationNo Integer Optional Organization number
  • Required if certificateType is NCP_PAID_OV_01

Request example

The request example is as follows:

curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "csr":"-----BEGIN CERTIFICATE REQUEST-----CCAUICAQAwFT...HzV1ht+BbMeZlD\n-----END CERTIFICATE REQUEST-----\n",
    "certificateType":"NCP_PAID_OV_01",
    "certificateName": "ncloudcertificate",
    "commonName": "*.ncloud.com",
    "dnsName": ["ncloud.com", "ncloud-docs.com"],
    "validationMethod":"D",
    "organizationNo": 34
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalRows Integer - Total number of lists searched
paidCertificate Object - Certificate request result
paidCertificate.certificateNo Integer - Certificate number
paidCertificate.requestSn String - Unique request identifier
paidCertificate.statusCode Integer - Certificate status code
paidCertificate.statusName String - Certificate status
paidCertificate.regDate Date - Certificate registration date and time
paidCertificate.validationMethod String - Domain ownership (DCV) validation method
paidCertificate.organizationNo Integer - Organization number

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "Success",
    "totalRows": 0,
    "paidCertificate": {
        "certificateNo": 55985,
        "requestSn": "99ebaab2c04b43769a2e97e4ebbadf20",
        "certificateName": "ncloudcertificate",
        "statusCode": "0",
        "statusName": "Ongoing",
        "regDate": "2026-01-12 13:07:43",
        "validationMethod": "D",
        "organizationNo": 34
    }
}